Bug 639545 - [abrt] openvrml-player-0.18.6-1.fc13: raise: Process /usr/bin/openvrml-player was killed by signal 6 (SIGABRT)
[abrt] openvrml-player-0.18.6-1.fc13: raise: Process /usr/bin/openvrml-player...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: openvrml (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Braden McDaniel
Fedora Extras Quality Assurance
abrt_hash:9a5b16f38589fadb023044087bd...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-02 05:53 EDT by Marian-Nicolae ION
Modified: 2011-06-28 08:04 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 08:04:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (27.72 KB, text/plain)
2010-10-02 05:53 EDT, Marian-Nicolae ION
no flags Details
the file to test the crash (726 bytes, application/octet-stream)
2010-10-02 05:56 EDT, Marian-Nicolae ION
no flags Details

  None (edit)
Description Marian-Nicolae ION 2010-10-02 05:53:52 EDT
abrt version: 1.1.13
architecture: i686
Attached file: backtrace
cmdline: openvrml-player
component: openvrml
crash_function: raise
executable: /usr/bin/openvrml-player
kernel: 2.6.34.7-56.fc13.i686
package: openvrml-player-0.18.6-1.fc13
rating: 4
reason: Process /usr/bin/openvrml-player was killed by signal 6 (SIGABRT)
release: Fedora release 13 (Goddard)
time: 1286013032
uid: 602

comment
-----
The file is OK viewed with freewrl
The file could be seen at http://www.famion.eu/2pieces.wrl

How to reproduce
-----
1. trying to see a WRL file
Comment 1 Marian-Nicolae ION 2010-10-02 05:53:55 EDT
Created attachment 451177 [details]
File: backtrace
Comment 2 Marian-Nicolae ION 2010-10-02 05:56:53 EDT
Created attachment 451178 [details]
the file to test the crash

The WRL file requires a texture image (texture1.jpg) - any JPG file could be used, mine is 54x35 pixels
Comment 3 Braden McDaniel 2010-10-03 00:59:46 EDT
This crash happens when, for some reason, activation of openvrml-xembed fails. That means that either it didn't get started by D-Bus for some reason (indicating either an installation problem or a problem with D-Bus), or it started and crashed. In the latter case, it's the openvrml-xembed stack trace that can be used to debug the problem.

I'm not able to reproduce this problem with openvrml-player-0.18.6-1.fc13.x86_64.

Have you successfully viewed other VRML worlds with openvrml-player?
Comment 4 Marian-Nicolae ION 2010-10-03 08:12:30 EDT
Please note that I am on i686 platform!

Yes, other WRL files work, but the behaviour is somehow erratic: the player crashes for files that previously displayed (try http://www.famion.eu/bs.wrl) with console messages like

** (openvrml-player:18350): CRITICAL **: Browser creation failed: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken....

ERROR:openvrml-player/curlbrowserhost.cpp:360:void openvrml_player_curl_browser_host_load_url(OpenvrmlPlayerCurlBrowserHost*, const char*): assertion failed: (host->priv->browser)
Comment 5 Bug Zapper 2011-05-31 08:07:44 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2011-06-28 08:04:20 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.